Set the casting of one asset in each entity of the list. The entities are shots, assets or episodes of the project. The other assets of each entity do not change. Thus two users can edit the casting at the same time. Set nb_occurences to 0 to remove the asset from the casting. You must be a manager of the project.
PUT
/data/projects/{project_id}/entities/casting/assets/{asset_id}
curl \
--request PUT '/api/data/projects/a24a6ea4-ce75-4665-a070-57453082c250/entities/casting/assets/c46c80c6-e097-6887-c292-79675204e470' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"entity_ids": [
"string"
],
"nb_occurences": 42,
"label": "string"
}'
Request examples
{
"entity_ids": [
"string"
],
"nb_occurences": 42,
"label": "string"
}
Response examples (200)
{}